org.apache.hive.jdbc

## Class ZooKeeperHiveClientHelper.DummyWatcher

- java.lang.Object
- - org.apache.hive.jdbc.ZooKeeperHiveClientHelper.DummyWatcher

All Implemented Interfaces:
  org.apache.zookeeper.Watcher

Enclosing class:
  ZooKeeperHiveClientHelper

    public static class ZooKeeperHiveClientHelper.DummyWatcher
    extends Object
    implements org.apache.zookeeper.Watcher

A no-op watcher class

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.zookeeper.Watcher

`org.apache.zookeeper.Watcher.Event`

### Constructor Summary

Constructors
Constructor and Description
`ZooKeeperHiveClientHelper.DummyWatcher()`

### Method Summary

Methods
`void` `process(org.apache.zookeeper.WatchedEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ZooKeeperHiveClientHelper.DummyWatcher

    public ZooKeeperHiveClientHelper.DummyWatcher()

### Method Detail

#### process

    public void process(org.apache.zookeeper.WatchedEvent event)

Specified by:
  `process` in interface `org.apache.zookeeper.Watcher`